Bug 1488087 - Display sometimes does not wakeup after suspend or screen lock
Summary: Display sometimes does not wakeup after suspend or screen lock
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ben Skeggs
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1491565
TreeView+ depends on / blocked
 
Reported: 2017-09-04 09:53 UTC by Jan Vlug
Modified: 2018-05-29 11:25 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 11:25:20 UTC


Attachments (Terms of Use)

Description Jan Vlug 2017-09-04 09:53:51 UTC
Sometimes my display(s) do not wake up correctly after a screen lock (seldom) or suspend (nearly always).
I'm using a combination of a 'normal' and an HiDPI display.

The log shows messages like:

sep 04 11:40:40 nyx audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=getty@tty4 comm="systemd" exe="/usr/
sep 04 11:40:40 nyx systemd-logind[1240]: System is powering down.
sep 04 11:40:40 nyx systemd[1]: Started Getty on tty4.
sep 04 11:40:40 nyx systemd-logind[1240]: Powering Off...
sep 04 11:40:40 nyx systemd-logind[1240]: Power key pressed.
sep 04 11:40:40 nyx kernel: nouveau 0000:23:00.0: DRM: base-1: timeout
sep 04 11:40:40 nyx kernel: nouveau 0000:23:00.0: DRM: base-0: timeout
sep 04 11:40:40 nyx kernel: nouveau 0000:23:00.0: DRM: base-1: timeout
sep 04 11:40:40 nyx kernel: nouveau 0000:23:00.0: DRM: base-0: timeout
sep 04 11:40:40 nyx kernel: nouveau 0000:23:00.0: DRM: base-1: timeout
sep 04 11:40:40 nyx kernel: nouveau 0000:23:00.0: DRM: base-0: timeout
sep 04 11:40:40 nyx kernel: nouveau: evo channel stalled
sep 04 11:40:40 nyx kernel: nouveau 0000:23:00.0: DRM: base-1: timeout
sep 04 11:40:40 nyx kernel: nouveau 0000:23:00.0: DRM: base-0: timeout
sep 04 11:40:40 nyx kernel: nouveau 0000:23:00.0: DRM: EVO timeout
sep 04 11:40:40 nyx kernel: nouveau 0000:23:00.0: DRM: base-1: timeout
sep 04 11:40:40 nyx systemd-logind[1240]: Power key pressed.
sep 04 11:40:19 nyx audit[1]: SERVICE_STOP pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=fprintd comm="systemd" exe="/usr/lib/
sep 04 11:40:18 nyx kernel: nouveau 0000:23:00.0: DRM: base-1: timeout
sep 04 11:40:16 nyx kernel: nouveau 0000:23:00.0: DRM: EVO timeout
sep 04 11:40:14 nyx kernel: nouveau: evo channel stalled
sep 04 11:40:14 nyx kernel: nouveau 0000:23:00.0: DRM: base-0: timeout
sep 04 11:40:12 nyx kernel: nouveau 0000:23:00.0: DRM: base-0: timeout
sep 04 11:40:10 nyx kernel: nouveau 0000:23:00.0: DRM: EVO timeout
sep 04 11:40:08 nyx kernel: nouveau 0000:23:00.0: DRM: EVO timeout
sep 04 11:40:06 nyx kernel: nouveau 0000:23:00.0: DRM: EVO timeout
sep 04 11:40:04 nyx kernel: nouveau 0000:23:00.0: DRM: base-1: timeout
sep 04 11:40:04 nyx kernel: nouveau 0000:23:00.0: DRM: base-0: timeout
sep 04 11:40:03 nyx gsd-color[1870]: failed to set screen _ICC_PROFILE: Failed to open file “/home/jan/.local/share/icc/edid-e2e0a0ee2236c0ea0563efe5759061ea.icc”: Pe
sep 04 11:40:03 nyx gnome-shell[3150]: Failed to apply DRM plane transform 0: Invalid argument
sep 04 11:40:03 nyx gnome-shell[3150]: Failed to apply DRM plane transform 0: Invalid argument
sep 04 11:40:03 nyx gnome-shell[3150]: Failed to apply DRM plane transform 0: Invalid argument
sep 04 11:40:01 nyx kernel: nouveau 0000:23:00.0: DRM: base-1: timeout
sep 04 11:40:01 nyx kernel: nouveau 0000:23:00.0: DRM: base-0: timeout
sep 04 11:39:59 nyx gnome-shell[3150]: Failed to load image: Unrecognized image file format
sep 04 11:39:59 nyx kernel: nouveau 0000:23:00.0: DRM: base-1: timeout
sep 04 11:39:59 nyx kernel: nouveau 0000:23:00.0: DRM: base-0: timeout
sep 04 11:39:57 nyx kernel: nouveau 0000:23:00.0: DRM: base-1: timeout
sep 04 11:39:57 nyx kernel: nouveau 0000:23:00.0: DRM: base-0: timeout
sep 04 11:39:53 nyx kernel: nouveau 0000:23:00.0: DRM: base-1: timeout
sep 04 11:39:53 nyx kernel: nouveau 0000:23:00.0: DRM: base-0: timeout
sep 04 11:39:51 nyx kernel: nouveau 0000:23:00.0: DRM: base-1: timeout
sep 04 11:39:49 nyx audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=fprintd comm="systemd" exe="/usr/lib
sep 04 11:39:49 nyx systemd[1]: Started Fingerprint Authentication Daemon.
sep 04 11:39:49 nyx dbus-daemon[1246]: [system] Successfully activated service 'net.reactivated.Fprint'
sep 04 11:39:49 nyx systemd[1]: Starting Fingerprint Authentication Daemon...
sep 04 11:39:49 nyx dbus-daemon[1246]: [system] Activating via systemd: service name='net.reactivated.Fprint' unit='fprintd.service' requested by ':1.102' (uid=1000 p
sep 04 11:39:49 nyx kernel: nouveau 0000:23:00.0: DRM: base-1: timeout
sep 04 11:39:47 nyx kernel: nouveau 0000:23:00.0: DRM: EVO timeout
sep 04 11:39:47 nyx kernel: nouveau 0000:23:00.0: DRM: base-0: timeout
sep 04 11:39:45 nyx kernel: nouveau 0000:23:00.0: DRM: base-0: timeout
sep 04 11:39:43 nyx kernel: nouveau 0000:23:00.0: DRM: EVO timeout
sep 04 11:39:41 nyx gsd-color[1870]: failed to set screen _ICC_PROFILE: Failed to open file “/home/jan/.local/share/icc/edid-e2e0a0ee2236c0ea0563efe5759061ea.icc”: Pe
sep 04 11:39:41 nyx gnome-shell[3150]: Failed to apply DRM plane transform 0: Invalid argument
sep 04 11:39:41 nyx gnome-shell[3150]: Failed to apply DRM plane transform 0: Invalid argument
sep 04 11:39:41 nyx kernel: nouveau 0000:23:00.0: DRM: EVO timeout
sep 04 11:39:39 nyx kernel: nouveau 0000:23:00.0: DRM: EVO timeout
sep 04 11:39:37 nyx gnome-shell[3150]: Failed to apply DRM plane transform 0: Invalid argument
sep 04 11:39:26 nyx kernel: nouveau 0000:23:00.0: DRM: base-1: timeout
sep 04 11:39:24 nyx kernel: nouveau 0000:23:00.0: DRM: base-1: timeout
sep 04 11:39:22 nyx kernel: nouveau 0000:23:00.0: DRM: EVO timeout
sep 04 11:39:22 nyx kernel: nouveau 0000:23:00.0: DRM: base-0: timeout
sep 04 11:39:20 nyx kernel: nouveau 0000:23:00.0: DRM: base-0: timeout
sep 04 11:39:18 nyx kernel: nouveau 0000:23:00.0: DRM: EVO timeout
sep 04 11:39:15 nyx gsd-color[1870]: failed to set screen _ICC_PROFILE: Failed to open file “/home/jan/.local/share/icc/edid-e2e0a0ee2236c0ea0563efe5759061ea.icc”: Pe
sep 04 11:39:15 nyx gnome-shell[3150]: Failed to apply DRM plane transform 0: Invalid argument
sep 04 11:39:15 nyx gnome-shell[3150]: Failed to apply DRM plane transform 0: Invalid argument
sep 04 11:39:15 nyx kernel: nouveau 0000:23:00.0: DRM: EVO timeout
sep 04 11:39:14 nyx audit[1]: SERVICE_STOP pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=fprintd comm="systemd" exe="/usr/lib/
sep 04 11:39:13 nyx kernel: nouveau 0000:23:00.0: DRM: EVO timeout
sep 04 11:39:11 nyx gnome-shell[3150]: Failed to apply DRM plane transform 0: Invalid argument
sep 04 11:39:07 nyx kernel: nouveau 0000:23:00.0: DRM: base-0: timeout
sep 04 11:39:05 nyx kernel: nouveau 0000:23:00.0: DRM: base-0: timeout
sep 04 11:39:05 nyx kernel: nouveau 0000:23:00.0: DRM: base-1: timeout
sep 04 11:39:03 nyx kernel: nouveau 0000:23:00.0: DRM: base-0: timeout
sep 04 11:39:03 nyx kernel: nouveau 0000:23:00.0: DRM: base-1: timeout
<SNIP>
sep 04 11:39:01 nyx kernel: nouveau 0000:23:00.0: DRM: base-0: timeout
sep 04 11:39:01 nyx kernel: nouveau 0000:23:00.0: DRM: base-1: timeout
sep 04 11:38:59 nyx kernel: nouveau 0000:23:00.0: DRM: base-0: timeout
sep 04 11:38:59 nyx kernel: nouveau 0000:23:00.0: DRM: base-1: timeout
sep 04 11:38:57 nyx kernel: nouveau 0000:23:00.0: DRM: base-1: timeout
sep 04 11:38:57 nyx kernel: nouveau 0000:23:00.0: DRM: base-1: timeout
sep 04 11:38:55 nyx kernel: nouveau 0000:23:00.0: DRM: EVO timeout
sep 04 11:38:55 nyx kernel: nouveau 0000:23:00.0: DRM: base-0: timeout
sep 04 11:38:53 nyx kernel: nouveau 0000:23:00.0: DRM: base-0: timeout
sep 04 11:38:51 nyx kernel: nouveau 0000:23:00.0: DRM: EVO timeout
sep 04 11:38:49 nyx gnome-shell[3150]: Failed to apply DRM plane transform 0: Invalid argument
<SNIP>
sep 04 11:39:01 nyx kernel: nouveau 0000:23:00.0: DRM: base-0: timeout
sep 04 11:39:01 nyx kernel: nouveau 0000:23:00.0: DRM: base-1: timeout
sep 04 11:38:59 nyx kernel: nouveau 0000:23:00.0: DRM: base-0: timeout
sep 04 11:38:59 nyx kernel: nouveau 0000:23:00.0: DRM: base-1: timeout
sep 04 11:38:57 nyx kernel: nouveau 0000:23:00.0: DRM: base-1: timeout
sep 04 11:38:55 nyx kernel: nouveau 0000:23:00.0: DRM: EVO timeout
sep 04 11:38:55 nyx kernel: nouveau 0000:23:00.0: DRM: base-0: timeout
sep 04 11:38:53 nyx kernel: nouveau 0000:23:00.0: DRM: base-0: timeout
sep 04 11:38:51 nyx kernel: nouveau 0000:23:00.0: DRM: EVO timeout
sep 04 11:38:49 nyx gnome-shell[3150]: Failed to apply DRM plane transform 0: Invalid argument
sep 04 11:38:49 nyx gnome-shell[3150]: Failed to apply DRM plane transform 0: Invalid argument
sep 04 11:38:49 nyx kernel: nouveau 0000:23:00.0: DRM: EVO timeout
sep 04 11:38:47 nyx kernel: nouveau 0000:23:00.0: DRM: EVO timeout
sep 04 11:38:45 nyx gnome-shell[3150]: Failed to apply DRM plane transform 0: Invalid argument
sep 04 11:38:44 nyx gnome-shell[3150]: Failed to load image: Unrecognized image file format
sep 04 11:38:44 nyx systemd[1]: Started Fingerprint Authentication Daemon.
sep 04 11:38:44 nyx audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=fprintd comm="systemd" exe="/usr/lib
sep 04 11:38:44 nyx dbus-daemon[1246]: [system] Successfully activated service 'net.reactivated.Fprint'
sep 04 11:38:44 nyx systemd[1]: Starting Fingerprint Authentication Daemon...
sep 04 11:38:44 nyx dbus-daemon[1246]: [system] Activating via systemd: service name='net.reactivated.Fprint' unit='fprintd.service' requested by ':1.102' (uid=1000 p
sep 04 11:30:47 nyx kernel: nouveau 0000:23:00.0: disp: 0x61ec[0]: INIT_GENERIC_CONDITON: unknown 0x07
sep 04 11:30:47 nyx gnome-software-service.desktop[3648]: 09:30:47:0925 GsPluginShellExtensions no app for changed topIcons@adel.gadllah@gmail.com

Using:
Graphics:  Card: NVIDIA GP107 [GeForce GTX 1050 Ti]
           Display Server: wayland (X.org 119.3 ) drivers: modesetting,fbdev,vesa
           Resolution: 3840x2160@59.98hz, 1680x1050@59.85hz
           OpenGL: renderer: Gallium 0.4 on NV137 version: 4.2 Mesa 17.1.7

Comment 1 Fedora End Of Life 2018-05-03 08:00:42 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2018-05-29 11:25:20 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.